## kompare 4.13.0

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kompare)

=== komparenavtreepart/CMakeLists.txt ===

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/../libdiff2 ${CMAKE_CURRENT_SOURCE_DIR}/../komparepart  )


########### next target ###############

set(komparenavtreepart_PART_SRCS komparenavtreepart.cpp )


kde4_add_plugin(komparenavtreepart ${komparenavtreepart_PART_SRCS})



target_link_libraries(komparenavtreepart  ${KDE4_KPARTS_LIBS} ${LIBKOMPAREDIFF2_LIBRARIES} )

install(TARGETS komparenavtreepart  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES komparenavtreepart.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== libdialogpages/CMakeLists.txt ===

########### next target ###############

set(dialogpages_PART_SRCS
	filessettings.cpp
	viewsettings.cpp
	pagebase.cpp
	diffpage.cpp
	filespage.cpp
	viewpage.cpp )


kde4_add_library(komparedialogpages SHARED ${dialogpages_PART_SRCS})

target_link_libraries(komparedialogpages  ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${LIBKOMPAREDIFF2_LIBRARIES})

set_target_properties(komparedialogpages PROPERTIES VERSION ${GENERIC_LIB_VERSION}
SOVERSION ${GENERIC_LIB_SOVERSION} )

install(TARGETS komparedialogpages ${INSTALL_TARGETS_DEFAULT_ARGS})

## kompare 4.11.2

=== debian/changelog ===
kompare (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:33:23 +0100

kompare (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:27:55 +0100

kompare (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:23:07 +0100

kompare (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:43:58 +0100

kompare (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:49 +0000

kompare (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * Add GPL as approved by e.v. to copyright
  * Make dbg package depend not suggest on main package

  [ Michał Zając ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Make dbg package depend on = binary:Version of main package 
  * Fix comma-separated-files-in-dep5-copyright to make lintian happy 

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:19:24 +0100

kompare (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from kdesdk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:37:39 +0100

=== debian/control ===
Source: kompare
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kompare
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kompare

Package: kompare
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: file difference viewer 
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: kompare-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kompare (= ${binary:Version})
Replaces: kdeutils-dbg (<< 4:4.6)
Breaks: kdeutils-dbg (<< 4:4.6)
Description: debugging symbols for the kompare
 This package contains debugging files used to investigate problems with
 binaries included in kompare.

## kompare 4.12.3

=== debian/changelog ===
kompare (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:42:46 +0100

kompare (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:59:14 +0100

kompare (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:08:38 +0000

kompare (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:24:32 +0000

kompare (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:17:37 +0000

kompare (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:18:05 +0000

kompare (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:15:25 +0100

kompare (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
  * Remove libkomparediff2 from install files, moved into own source package

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:45:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.12.3), libkomparediff2-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kompare

## kompare 4.13.0

=== debian/changelog ===
kompare (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:10:00 +0100

kompare (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:34:42 +0200

kompare (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:36:09 +0100

kompare (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:06:47 +0000

kompare (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:56:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libkomparediff2-dev
+ kdelibs5-dev (>= 4:4.13.0), libkomparediff2-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kompare

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_installman:
	$(overridden_command) --language=C

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kompare-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kompare-([\d\.]*).tar.xz

## kompare 4.14.0

=== debian/changelog ===
kompare (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 23 Aug 2014 18:28:36 +0200

kompare (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:03 +0200

kompare (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Update build dependencies.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:15 +0100

kompare (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:26:10 +0100

kompare (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:28 +0200

=== debian/control ===
Source: kompare
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12),
               libkomparediff2-dev
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kompare.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kompare.git

Package: kompare
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter4
Replaces: libcvsservice0 (<<4:4.0.0)
Breaks: libcvsservice0 (<<4:4.0.0)
Description: file difference viewer
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kompare-([\d.]+).tar.xz

## kompare 4.14.1

=== debian/changelog ===
kompare (4:4.14.1-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 01 Oct 2014 08:05:32 -0700

kompare (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:25:13 +0200

kompare (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:17:19 +0200

kompare (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:59:51 +0200

kompare (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:26:46 +0200

kompare (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add not-installed file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:20:31 +0200

kompare (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kompare
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -9,14 +10,16 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.12),
                libkomparediff2-dev
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kompare.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kompare.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kompare
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kompare
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kompare.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kompare.git
 
 Package: kompare
 Architecture: any

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kompare-([\d\.]*).tar.xz

## kompare 14.12.3

=== debian/changelog ===
kompare (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdelibs parent version depend 
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:19:09 -0700

kompare (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:13:38 -0800

kompare (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:56:58 +0100

kompare (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian, remaining changes:
   - not-installed
   - fix copyright for dep5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Nov 2014 18:36:11 +0100

kompare (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix copyright to use LGPL-KDEeV as short license and 
    replaced v with - to fix invalid licenses. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:39:14 -0700

=== debian/control ===
Source: kompare
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14),
               pkg-kde-tools (>= 0.12),
               libkomparediff2-dev (>= 4:14.12.3)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kompare.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kompare.git

Package: kompare
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Replaces: libcvsservice0 (<<4:4.0.0)
Breaks: libcvsservice0 (<<4:4.0.0)
Description: file difference viewer
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

## kompare 15.08.2

=== debian/changelog ===
kompare (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:37:55 +0100

kompare (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:12:22 +0100

kompare (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:33:03 +0100

kompare (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:50:06 +0100

kompare (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Add epoch to kpart5-kompare Breaks/Replaces against kompare.
  * Fix kompare.install file so it doesn't share files with kpart5-
    kompare

  [ Scarlett Clark ]
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:14:39 +0200

=== debian/control ===
Source: kompare
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.9),
               kdoctools-dev,
               libkf5codecs-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5parts-dev,
               libkf5texteditor-dev,
               libkf5widgetsaddons-dev,
               libkomparediff2-dev (>= 4:15.04.2),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kompare.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kompare.git

Package: kompare
Architecture: any
Section: devel
Depends: kpart5-kompare (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: file difference viewer
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: kpart5-kompare
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kompare (<< 4:14.12.3+git20150408)
Replaces: kompare (<< 4:14.12.3+git20150408)
Description: file difference viewer - kpart
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface-dev
Architecture: any
Section: libdevel
Depends: libkompareinterface5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kompare (<< 4:14.12.3+git20150408)
Replaces: kompare (<< 4:14.12.3+git20150408)
Description: file difference viewer - kpart interface library development files
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kpart5-kompare
Breaks: kompare (<< 4:14.12.3+git20150408)
Replaces: kompare (<< 4:14.12.3+git20150408)
Description: file difference viewer - kpart interface library
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

## kompare 15.12.3

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kompare)

=== interfaces/CMakeLists.txt ===




########### next target ###############

set(kompareinterface_LIB_SRCS kompareinterface.cpp )


add_library(kompareinterface SHARED ${kompareinterface_LIB_SRCS})

generate_export_header(kompareinterface BASE_NAME KOMPAREINTERFACE)

target_link_libraries(kompareinterface
    Qt5::Core
)

set_target_properties(kompareinterface PROPERTIES VERSION ${KOMPARE_LIB_VERSION} SOVERSION ${KOMPARE_LIB_SOVERSION} )
install(TARGETS kompareinterface ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES kompareinterface.h DESTINATION ${INCLUDE_INSTALL_DIR}/kompare COMPONENT Devel )

=== komparenavtreepart/CMakeLists.txt ===

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/../komparepart)


########### next target ###############

set(komparenavtreepart_PART_SRCS komparenavtreepart.cpp )


add_library(komparenavtreepart MODULE ${komparenavtreepart_PART_SRCS})



target_link_libraries(komparenavtreepart
    Qt5::Widgets
    KF5::Parts
    KF5::IconThemes
    ${LIBKOMPAREDIFF2_LIBRARIES}
)

install(TARGETS komparenavtreepart  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES komparenavtreepart.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== libdialogpages/CMakeLists.txt ===

########### next target ###############

set(dialogpages_PART_SRCS
	filessettings.cpp
	viewsettings.cpp
	diffpage.cpp
	filespage.cpp
	viewpage.cpp )


add_library(komparedialogpages SHARED ${dialogpages_PART_SRCS})

include_directories(${LIBKOMPAREDIFF2_INCLUDE_DIR})

generate_export_header(komparedialogpages BASE_NAME DIALOGPAGES)

target_link_libraries(komparedialogpages
    KF5::Codecs
    KF5::Parts
    KF5::WidgetsAddons
    ${LIBKOMPAREDIFF2_LIBRARIES}
)

set_target_properties(komparedialogpages PROPERTIES VERSION ${KOMPARE_LIB_VERSION}
SOVERSION ${KOMPARE_LIB_SOVERSION} )

install(TARGETS komparedialogpages ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
kompare (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:39:15 -0700

kompare (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Merged with Debian 

  [ Scarlett Clark ]
  * Remove merge conflict tag from changelog. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:57:10 +0100

kompare (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:45 +0100

kompare (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:03 +0200

kompare (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Sep 2015 12:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9),
+               extra-cmake-modules (>= 0.0.9~),
                kdoctools-dev,
                libkf5codecs-dev,
                libkf5config-dev,
@@ -20,7 +20,8 @@
                libkf5texteditor-dev,
                libkf5widgetsaddons-dev,
                libkomparediff2-dev (>= 4:15.04.2),
-               pkg-kde-tools (>= 0.12)
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kompare.git/

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kompare-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kompare-([\d.]+).tar.xz

## kompare 16.04.3

=== debian/changelog ===
kompare (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:36:15 +0200

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9~),
-               kdoctools-dev,
-               libkf5codecs-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5iconthemes-dev,
-               libkf5jobwidgets-dev,
-               libkf5parts-dev,
-               libkf5texteditor-dev,
-               libkf5widgetsaddons-dev,
-               libkomparediff2-dev (>= 4:15.04.2),
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5jobwidgets-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5texteditor-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkomparediff2-dev (>= 4:16.04.3~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kompare.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kompare.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
 
 Package: kompare
 Architecture: any

## kompare 16.08.0

=== debian/changelog ===
kompare (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:12:27 +0200

kompare (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Add a .gitattributes file to use dpkg-mergechangelogs

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 18:34:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5iconthemes-dev (>= 5.24.0~),
-               libkf5jobwidgets-dev (>= 5.24.0~),
-               libkf5parts-dev (>= 5.24.0~),
-               libkf5texteditor-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev (>= 5.24.0~),
-               libkomparediff2-dev (>= 4:16.04.3~),
+               extra-cmake-modules (>= 0.0.9~),
+               kdoctools-dev,
+               libkf5codecs-dev,
+               libkf5config-dev,
+               libkf5coreaddons-dev,
+               libkf5iconthemes-dev,
+               libkf5jobwidgets-dev,
+               libkf5parts-dev,
+               libkf5texteditor-dev,
+               libkf5widgetsaddons-dev,
+               libkomparediff2-dev (>= 4:15.04.2),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-applications/kompare.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-applications/kompare.git
 
 Package: kompare
 Architecture: any

## kompare 16.12.3

=== debian/changelog ===
kompare (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:35 +0000

kompare (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:38 +0000

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9~),
-               kdoctools-dev,
-               libkf5codecs-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5iconthemes-dev,
-               libkf5jobwidgets-dev,
-               libkf5parts-dev,
-               libkf5texteditor-dev,
-               libkf5widgetsaddons-dev,
-               libkomparediff2-dev (>= 4:15.04.2),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5jobwidgets-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkomparediff2-dev (>= 4:16.12.3~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-applications/kompare.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-applications/kompare.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
 
 Package: kompare
 Architecture: any

## kompare 17.04.3

=== debian/changelog ===
kompare (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:17 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5parts-dev (>= 5.31.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkomparediff2-dev (>= 4:16.12.3~),
+               libkomparediff2-dev (>= 4:17.04.3~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
@@ -34,6 +34,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: file difference viewer
  Kompare displays the differences between files.  It can compare the
  contents of files or directories, as well as create, display, and merge patch

## kompare 17.12.3

=== libdialogpages/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kompare\")

set(dialogpages_PART_SRCS
	filessettings.cpp
	viewsettings.cpp
	diffpage.cpp
	filespage.cpp
	viewpage.cpp )

add_library(komparedialogpages SHARED ${dialogpages_PART_SRCS})

generate_export_header(komparedialogpages BASE_NAME DIALOGPAGES)

target_link_libraries(komparedialogpages
    PUBLIC
        KompareDiff2
        KF5::Codecs
        KF5::Parts
        KF5::WidgetsAddons
)

set_target_properties(komparedialogpages PROPERTIES VERSION ${KOMPARE_LIB_VERSION}
SOVERSION ${KOMPARE_LIB_SOVERSION} )

install(TARGETS komparedialogpages ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
kompare (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:28 +0000

kompare (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Update install files - komparepartui.rc moved to subfolder
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:38 +0000

kompare (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:08:21 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5parts-dev (>= 5.31.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkomparediff2-dev (>= 4:17.04.3~),
+               libkomparediff2-dev (>= 4:17.12.3~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6

## kompare 18.04.3

=== debian/changelog ===
kompare (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install service menu desktop file
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:19:44 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                libkf5parts-dev (>= 5.31.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkomparediff2-dev (>= 4:17.12.3~),
+               libkomparediff2-dev (>= 4:18.04.3~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
@@ -61,7 +61,7 @@
 Section: libdevel
 Depends: libkompareinterface5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: kompare (<< 4:14.12.3+git20150408)
 Replaces: kompare (<< 4:14.12.3+git20150408)
 Description: file difference viewer - kpart interface library development files

## kompare 18.08.1

=== debian/changelog ===
kompare (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with Qt >= 5.11 (Closes: #906779)
  * Switch Vcs-* fields to salsa.debian.org.
  * Use https for Format in copyright.
  * Bump the build dependencies according to the upstream build system:
    - extra-cmake-modules to >= 5.35.0
    - qtbase5-dev to >= 5.5.0~
    - Frameworks packages to >= 5.28.0
    - libkomparediff2-dev to >= 4:18.08~
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update install files.
  * Update lintian overrides.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Sep 2018 07:05:52 +0200

kompare (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Bump kde-l10n breaks/replaces versions
  * Update uploaders list as requested by MIA team

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove the unused ${shlibs:Depends} substvar from libkompareinterface-dev.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:36:45 +0100

kompare (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:14 +0200

kompare (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:02:53 +0000

kompare (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:39:19 +0000

kompare (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:55 +0000

kompare (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:55 +0000

kompare (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:21:54 +0000

kompare (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:34 +0000

kompare (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:14 +0000

kompare (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:00:55 +0000

kompare (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:21:05 +0000

kompare (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:29:55 +0000

kompare (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:20 +0000

kompare (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:27 +0000

kompare (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:29 +0000

kompare (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:37 +0000

kompare (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:42 +0000

kompare (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2016 15:03:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,36 +3,35 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
-           Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5codecs-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5jobwidgets-dev (>= 5.31.0~),
-               libkf5parts-dev (>= 5.31.0~),
-               libkf5texteditor-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkomparediff2-dev (>= 4:18.04.3~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.35.0~),
+               libkf5codecs-dev (>= 5.28.0~),
+               libkf5config-dev (>= 5.28.0~),
+               libkf5coreaddons-dev (>= 5.28.0~),
+               libkf5doctools-dev (>= 5.28.0~),
+               libkf5iconthemes-dev (>= 5.28.0~),
+               libkf5jobwidgets-dev (>= 5.28.0~),
+               libkf5parts-dev (>= 5.28.0~),
+               libkf5texteditor-dev (>= 5.28.0~),
+               libkf5widgetsaddons-dev (>= 5.28.0~),
+               libkomparediff2-dev (>= 4:18.08~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.5.0~),
+Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kompare
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kompare.git
 
 Package: kompare
 Architecture: any
 Section: devel
 Depends: kpart5-kompare (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: khelpcenter
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
@@ -61,7 +60,6 @@
 Section: libdevel
 Depends: libkompareinterface5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
 Breaks: kompare (<< 4:14.12.3+git20150408)
 Replaces: kompare (<< 4:14.12.3+git20150408)
 Description: file difference viewer - kpart interface library development files

## kompare 18.08.1.1+rb2

=== debian/changelog ===
kompare (4:18.08.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 11:03:56 +0800

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

## kompare 18.12.3

=== debian/changelog ===
kompare (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:31:04 +0000

kompare (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:13 +0000

kompare (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:32 +0000

kompare (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:49 +0000

kompare (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/control: Bumped build deps.
    - d/control: ${shlibs:Depends} for -dev package.
    - d/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 15 Dec 2018 14:56:49 +0000

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,23 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.35.0~),
-               libkf5codecs-dev (>= 5.28.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
-               libkf5doctools-dev (>= 5.28.0~),
-               libkf5iconthemes-dev (>= 5.28.0~),
-               libkf5jobwidgets-dev (>= 5.28.0~),
-               libkf5parts-dev (>= 5.28.0~),
-               libkf5texteditor-dev (>= 5.28.0~),
-               libkf5widgetsaddons-dev (>= 5.28.0~),
-               libkomparediff2-dev (>= 4:18.08~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5iconthemes-dev (>= 5.31.0~),
+               libkf5jobwidgets-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5texteditor-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkomparediff2-dev (>= 4:18.12.3~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.5.0~),
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kompare
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kompare.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
 
 Package: kompare
 Architecture: any
@@ -60,6 +60,7 @@
 Section: libdevel
 Depends: libkompareinterface5 (= ${binary:Version}),
          ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: kompare (<< 4:14.12.3+git20150408)
 Replaces: kompare (<< 4:14.12.3+git20150408)
 Description: file difference viewer - kpart interface library development files

## kompare 19.04.3

=== debian/changelog ===
kompare (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * debian/patches: upstream_fix-gui-file-selection.patch
    - Fix enabling the compare button when source and destination files
      are selected via the GUI. (LP: #1837527)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 10:55:07 +0100

kompare (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:42 +0100

kompare (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:09:29 +0100

kompare (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:00:26 +0100

kompare (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * Update install files.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:46:00 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf5parts-dev (>= 5.31.0~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkomparediff2-dev (>= 4:18.12.3~),
+               libkomparediff2-dev (>= 4:19.04.3~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
 Standards-Version: 4.2.1
